CVE-2005-2317

NameCVE-2005-2317
DescriptionShorewall 2.4.x before 2.4.1, 2.2.x before 2.2.5, and 2.0.x before 2.0.17, when MACLIST_TTL is greater than 0 or MACLIST_DISPOSITION is set to ACCEPT, allows remote attackers with an accepted MAC address to bypass other firewall rules or policies.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-849-1
NVD severityhigh
Debian Bugs318946

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
shorewall (PTS)stretch5.0.15.6-1fixed
buster5.2.3.2-1fixed
bookworm, sid, bullseye5.2.3.4-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
shorewallsourcewoody(not affected)DSA-849-1
shorewallsourcesarge2.2.3-2DSA-849-1
shorewallsource(unstable)2.4.1-2medium318946

Search for package or bug name: Reporting problems